Page MenuHomePhabricator

Google Maps keyless usage sunset on 2018-06-11
Closed, ResolvedPublic

Description

From: Google Maps Platform <google-maps-platform-noreply@google.com>
Date: Mon, Jun 4, 2018 at 2:58 PM
Subject: [Action Required] wmflabs.org requires a Google Maps Platform account
Hi,
We’ve noticed that the domain wmflabs.org is accessing Google Maps Platform without an account (an account requires a billing profile and a valid API key). We have done our best to determine who the administrator of this domain is, and we believe you may be that person. If you are, please read below for important information about your implementation that requires immediate action. If you are not the right person, we’d appreciate it if you could forward this note to a person administering this domain.
What will begin happening on June 11th
In June 2016, we communicated that we would stop supporting keyless usage (any request that doesn’t include an API key or Client ID). More recently, on May 2, 2018, we announced that beginning on June 11, 2018, keyless Maps API calls will return low-resolution maps watermarked with “for development purposes only”, and keyless calls to other APIs will return an error.
To avoid a service interruption to your application(s), please visit our Get Started page to enable a billing account and generate and insert an API key into your code. You may be eligible for a one time $300 Google Cloud Platform credit that can be applied to Google Maps Platform usage.
Google public programs
Eligible nonprofits, startups, crisis response organizations, and news media organizations may be able to receive Google Maps Platform credit by applying for one of our public programs.
Please read our Guide for Existing Users to learn more about these public programs, understand other changes we announced on May 2nd, and learn how these changes may impact your account and what steps you need to take. If you need additional help, please contact our support team.
Thank you for using Google Maps Platform.
Best Regards,
The Google Maps Platform Team

This notice is really about tools and other projects hosted in Cloud-VPS or Toolforge which call out to Google's maps apis either server side or more likely via their javascript APIs from the client.

We should announce on cloud@lists.wikimedia.org and work with affected project maintainers to see if there is any help that we can give in getting them developer keys or connecting them with other projects that they can use to replace Google Maps in their project.

See also:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 4 2018, 10:21 PM
revi added a subscriber: revi.Jun 6 2018, 11:10 AM
bd808 closed this task as Declined.Jun 25 2018, 5:17 PM

I did not do anything useful to notify Toolforge maintainers of this. The change has been active for several weeks now, so it seems like we can just close the task.

bd808 reopened this task as Open.Jun 25 2018, 6:17 PM

I was apparently premature in thinking that any blocking that was going to happen had already happened.

Hi,
We are following up on our June 4th email, to remind you that the domain wmflabs.org is accessing Google Maps Platform without an account. The use of Google Maps Platform APIs requires an account with a billing profile and a valid API key.
We have started to interrupt service to requests which are not properly authenticated. Your domain may or may not have been impacted yet. Please click "Get Started Now" below to set up your account and generate an API key to insert into your code. We urge you to do so as soon as possible to avoid service interruption.
Thank you for using Google Maps Platform.

I don't think there is anything for us to do other than notify cloud-announce, is there?

I don't think there is anything for us to do other than notify cloud-announce, is there?

That's definitely the first step. If we have a tool with a concrete problem then we might find some other ways to help. I think @Quiddity is trying to come up with some prose for an announce email about this.

Vvjjkkii renamed this task from Google Maps keyless usage sunset on 2018-06-11 to 9mbaaaaaaa.Jul 1 2018, 1:07 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from 9mbaaaaaaa to Google Maps keyless usage sunset on 2018-06-11.Jul 1 2018, 9:51 PM
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.
jrbs added a subscriber: jrbs.Jul 9 2018, 6:24 PM

Just FYI, these emails are still coming into OTRS pretty regularly.

I've emailed the maintainers of the 3 specific tasks listed under https://phabricator.wikimedia.org/maniphest/query/0fX2fMKKa9Kq/#R telling them:

Hi. Briefly: Please see TASK## 
This needs to be resolved as soon as possible, because (A) it is loading third-party resources without user-consent, and (B) Google will be cutting off access soon anyway unless you have an API key, per https://phabricator.wikimedia.org/T196418
If you have questions, there are related tasks listed at https://phabricator.wikimedia.org/T172659#4075691 which might help. Otherwise, you can ask for help on the cloud@lists.wikimedia.org mailing list or the #wikimedia-cloud Freenode IRC channel.
Much thanks
Quiddity triaged this task as Normal priority.Aug 13 2018, 8:32 PM
Quiddity lowered the priority of this task from Normal to Low.Sep 25 2018, 1:11 AM

Notes: I have now left fresh reminders on the Wikipedia user talkpages of the maintainers for the 2 tools "mentioned" above. Plus I've left a note about the old reply I received in July at T172403. There's nothing else I can do, so as the current assignee on this task I'm lowering the priority - if anyone wants to take over urging those maintainers to update their tools, or has better ideas on how to help them do so, please chime in!

Quiddity closed this task as Resolved.Sep 27 2018, 2:38 AM

Actually, I'll close this. Nothing more I can do here.